anycars = 1;

if anycars == 1 then
	CarFrequency._0to3 = 15;
	CarFrequency._4to7 = 10;
	CarFrequency._8to11 = 40;
	CarFrequency._12to15 = 40;
	CarFrequency._16to19 = 30;
	CarFrequency._20to23 = 20;
	
	VanFrequency._0to3 = 20;
	VanFrequency._4to7 = 40;
	VanFrequency._8to11 = 20;
	VanFrequency._12to15 = 10;
	VanFrequency._16to19 = 10;
	VanFrequency._20to23 = 10;
	
	TaxiFrequency._0to3 = 15;
	TaxiFrequency._4to7 = 5;
	TaxiFrequency._8to11 = 5;
	TaxiFrequency._12to15 = 10;
	TaxiFrequency._16to19 = 10;
	TaxiFrequency._20to23 = 25;
else 
	CarFrequency._0to3 = 0;
	CarFrequency._4to7 = 0;
	CarFrequency._8to11 = 0;
	CarFrequency._12to15 = 0;
	CarFrequency._16to19 = 0;
	CarFrequency._20to23 = 0;
	
	VanFrequency._0to3 = 0;
	VanFrequency._4to7 = 0;
	VanFrequency._8to11 = 0;
	VanFrequency._12to15 = 0;
	VanFrequency._16to19 = 0;
	VanFrequency._20to23 = 0;
	
	TaxiFrequency._0to3 = 0;
	TaxiFrequency._4to7 = 0;
	TaxiFrequency._8to11 = 0;
	TaxiFrequency._12to15 = 0;
	TaxiFrequency._16to19 = 0;
	TaxiFrequency._20to23 = 0;
end;

-- Set up income for all people types -----------

People.Welfare(AGE_ADULT,		CLASS_LOW,		50);
People.Welfare(AGE_ADULT,		CLASS_MEDIUM,	60);
People.Welfare(AGE_ADULT,		CLASS_HIGH,		70);

People.Welfare(AGE_PENSIONER,	CLASS_LOW,		50);
People.Welfare(AGE_PENSIONER,	CLASS_MEDIUM,	55);
People.Welfare(AGE_PENSIONER,	CLASS_HIGH,		70);

People.Welfare(AGE_CHILD,		CLASS_LOW,		50);
People.Welfare(AGE_CHILD,		CLASS_MEDIUM,	50);
People.Welfare(AGE_CHILD,		CLASS_HIGH,		50);

People.Welfare(AGE_TOURIST,		CLASS_LOW,		80);
People.Welfare(AGE_TOURIST,		CLASS_MEDIUM,	100);
People.Welfare(AGE_TOURIST,		CLASS_HIGH,		120);

People.Welfare(AGE_TEENAGER,	CLASS_LOW,		50);
People.Welfare(AGE_TEENAGER,	CLASS_MEDIUM,	50);
People.Welfare(AGE_TEENAGER,	CLASS_HIGH,		60);


----------------------------------------------------

InitialValue.numcars = 125;
InitialValue.playermoney = 5000;

-- set up sim preference lists

-- ADULT - LOW CLASS

InitialValue.AddPreference(0, 	SNACK,					2);
InitialValue.AddPreference(0, 	TOOLS_AND_HARDWARE,		2);
InitialValue.AddPreference(0, 	FISH,					2);
InitialValue.AddPreference(0, 	BREAD,					2);
InitialValue.AddPreference(0, 	DANCING,				2);
InitialValue.AddPreference(0, 	MUSIC_TAPES,			2);
InitialValue.AddPreference(0, 	DRINKS,					2);
InitialValue.AddPreference(0, 	MOVIES,					2);

InitialValue.AddPreference(1, 	DAIRY_PRODUCE,			2);
InitialValue.AddPreference(1, 	GAMING,					2);
InitialValue.AddPreference(1, 	FRUIT_AND_VEG,			2);
InitialValue.AddPreference(1, 	ELECTRICAL_GOODS,		2);
InitialValue.AddPreference(1, 	FASTFOOD,				2);
InitialValue.AddPreference(1, 	BREAD,					2);
InitialValue.AddPreference(1, 	NEWSPAPER,				2);
InitialValue.AddPreference(1, 	VIDEOS,					2);

InitialValue.AddPreference(2, 	GAMING,					2);
InitialValue.AddPreference(2, 	BREAD,					2);
InitialValue.AddPreference(2, 	FRUIT_AND_VEG,			2);
InitialValue.AddPreference(2, 	TOOLS_AND_HARDWARE,		2);
InitialValue.AddPreference(2, 	MEAT,					2);
InitialValue.AddPreference(2, 	NEWSPAPER,				2);
InitialValue.AddPreference(2, 	FURNITURE,				2);
InitialValue.AddPreference(2, 	DRINKS,					2);

InitialValue.AddPreference(3, 	DRINKS,					2);
InitialValue.AddPreference(3, 	SNACK,					2);
InitialValue.AddPreference(3, 	FISH,					2);
InitialValue.AddPreference(3, 	VIDEOS,					2);
InitialValue.AddPreference(3, 	VACATIONS,				2);
InitialValue.AddPreference(3, 	BREAD,					2);
InitialValue.AddPreference(3, 	MOVIES,					2);
InitialValue.AddPreference(3, 	HEALTHCARE,				2);

InitialValue.AddPreference(4, 	NEWSPAPER,				2);
InitialValue.AddPreference(4, 	DAIRY_PRODUCE,			2);
InitialValue.AddPreference(4, 	FRUIT_AND_VEG,			2);
InitialValue.AddPreference(4, 	RECREATIONAL_GOODS,		2);
InitialValue.AddPreference(4, 	GAMING,					2);
InitialValue.AddPreference(4, 	FASTFOOD,				2);
InitialValue.AddPreference(4, 	MOVIES,					2);
InitialValue.AddPreference(4, 	FISH,					2);

InitialValue.AddPreference(5, 	VIDEOS,					2);
InitialValue.AddPreference(5, 	SNACK,					2);
InitialValue.AddPreference(5, 	FASTFOOD,				2);
InitialValue.AddPreference(5, 	MOVIES,					2);
InitialValue.AddPreference(5, 	CLOTHING,				2);
InitialValue.AddPreference(5, 	BREAD,					2);
InitialValue.AddPreference(5, 	TOOLS_AND_HARDWARE,		2);
InitialValue.AddPreference(5, 	SWEETS,					2);

InitialValue.AddPreference(6, 	GAMING,					2);
InitialValue.AddPreference(6, 	ELECTRICAL_GOODS,		2);
InitialValue.AddPreference(6, 	DAIRY_PRODUCE,			2);
InitialValue.AddPreference(6, 	DRINKS,					2);
InitialValue.AddPreference(6, 	MEAT,					2);
InitialValue.AddPreference(6, 	FRUIT_AND_VEG,			2);
InitialValue.AddPreference(6, 	NEWSPAPER,				2);
InitialValue.AddPreference(6, 	VIDEOS,					2);

InitialValue.AddPreference(7, 	TOOLS_AND_HARDWARE,		2);
InitialValue.AddPreference(7, 	DAIRY_PRODUCE,			2);
InitialValue.AddPreference(7, 	BREAD,					2);
InitialValue.AddPreference(7, 	FASTFOOD,				2);
InitialValue.AddPreference(7, 	DANCING,				2);
InitialValue.AddPreference(7, 	DRINKS,					2);
InitialValue.AddPreference(7, 	VACATIONS,				2);
InitialValue.AddPreference(7, 	FISH,					2);

InitialValue.AddPreference(8, 	CLOTHING,				2);
InitialValue.AddPreference(8, 	GAMING,					2);
InitialValue.AddPreference(8, 	FRUIT_AND_VEG,			2);
InitialValue.AddPreference(8, 	HEALTHCARE,				2);
InitialValue.AddPreference(8, 	DAIRY_PRODUCE,			2);
InitialValue.AddPreference(8, 	RECREATIONAL_GOODS,		2);
InitialValue.AddPreference(8, 	BREAD,					2);
InitialValue.AddPreference(8, 	SNACK,					2);

InitialValue.AddPreference(9, 	SWEETS,					2);
InitialValue.AddPreference(9, 	FASTFOOD,				2);
InitialValue.AddPreference(9, 	TOOLS_AND_HARDWARE,		2);
InitialValue.AddPreference(9, 	NEWSPAPER,				2);
InitialValue.AddPreference(9, 	FISH,					2);
InitialValue.AddPreference(9, 	FURNITURE,				2);
InitialValue.AddPreference(9, 	VIDEOS,					2);
InitialValue.AddPreference(9, 	MUSIC_TAPES,			2);

InitialValue.AddPreference(10, 	FISH,					2);
InitialValue.AddPreference(10, 	MEAT,					2);
InitialValue.AddPreference(10, 	MOVIES,					2);
InitialValue.AddPreference(10, 	DAIRY_PRODUCE,			2);
InitialValue.AddPreference(10, 	GAMING,					2);
InitialValue.AddPreference(10, 	BREAD,					2);
InitialValue.AddPreference(10, 	NEWSPAPER,				2);
InitialValue.AddPreference(10, 	FRUIT_AND_VEG,			2);

InitialValue.AddPreference(11, 	DRINKS,					2);
InitialValue.AddPreference(11, 	ELECTRICAL_GOODS,		2);
InitialValue.AddPreference(11, 	TOOLS_AND_HARDWARE,		2);
InitialValue.AddPreference(11, 	BREAD,					2);
InitialValue.AddPreference(11, 	SNACK,					2);
InitialValue.AddPreference(11, 	DANCING,				2);
InitialValue.AddPreference(11, 	NEWSPAPER,				2);
InitialValue.AddPreference(11, 	MOVIES,					2);

InitialValue.AddPreference(12, 	BREAD,					2);
InitialValue.AddPreference(12, 	GAMING,					2);
InitialValue.AddPreference(12, 	FASTFOOD,				2);
InitialValue.AddPreference(12, 	DRINKS,					2);
InitialValue.AddPreference(12, 	FRUIT_AND_VEG,			2);
InitialValue.AddPreference(12, 	VIDEOS,					2);
InitialValue.AddPreference(12, 	MOVIES,					2);
InitialValue.AddPreference(12, 	MUSIC_TAPES,			2);

InitialValue.AddPreference(13, 	VIDEOS,					2);
InitialValue.AddPreference(13, 	DANCING,				2);
InitialValue.AddPreference(13, 	FISH,					2);
InitialValue.AddPreference(13, 	DRINKS,					2);
InitialValue.AddPreference(13, 	BREAD,					2);
InitialValue.AddPreference(13, 	SNACK,					2);
InitialValue.AddPreference(13, 	DAIRY_PRODUCE,			2);
InitialValue.AddPreference(13, 	TOOLS_AND_HARDWARE,		2);

InitialValue.AddPreference(14, 	DAIRY_PRODUCE,			2);
InitialValue.AddPreference(14, 	MOVIES,					2);
InitialValue.AddPreference(14, 	FASTFOOD,				2);
InitialValue.AddPreference(14, 	CLOTHING,				2);
InitialValue.AddPreference(14, 	GAMING,					2);
InitialValue.AddPreference(14, 	NEWSPAPER,				2);
InitialValue.AddPreference(14, 	FISH,					2);
InitialValue.AddPreference(14, 	RECREATIONAL_GOODS,		2);

InitialValue.AddPreference(15, 	BREAD,					2);
InitialValue.AddPreference(15, 	DRINKS,					2);
InitialValue.AddPreference(15, 	MOVIES,					2);
InitialValue.AddPreference(15, 	FURNITURE,				2);
InitialValue.AddPreference(15, 	MEAT,					2);
InitialValue.AddPreference(15, 	FRUIT_AND_VEG,			2);
InitialValue.AddPreference(15, 	HEALTHCARE,				2);
InitialValue.AddPreference(15, 	VACATIONS,				2);


-- ADULT - MEDIUM CLASS

InitialValue.AddPreference(16, 	RECREATIONAL_GOODS,		2);
InitialValue.AddPreference(16, 	DRINKS,					2);
InitialValue.AddPreference(16, 	DANCING,				2);
InitialValue.AddPreference(16, 	MEAT,					2);
InitialValue.AddPreference(16, 	GAMING,					2);
InitialValue.AddPreference(16, 	FRUIT_AND_VEG,			2);
InitialValue.AddPreference(16, 	CLOTHING,				2);
InitialValue.AddPreference(16, 	TOOLS_AND_HARDWARE,		2);

InitialValue.AddPreference(17, 	MOVIES,					2);
InitialValue.AddPreference(17, 	DAIRY_PRODUCE,			2);
InitialValue.AddPreference(17, 	ELECTRICAL_GOODS,		2);
InitialValue.AddPreference(17, 	MUSIC_TAPES,			2);
InitialValue.AddPreference(17, 	BREAD,					2);
InitialValue.AddPreference(17, 	TOOLS_AND_HARDWARE,		2);
InitialValue.AddPreference(17, 	FISH,					2);
InitialValue.AddPreference(17, 	HEALTHCARE,				2);

InitialValue.AddPreference(18, 	CLOTHING,				2);
InitialValue.AddPreference(18, 	MEAT,					2);
InitialValue.AddPreference(18, 	MEAL,					2);
InitialValue.AddPreference(18, 	GAMING,					2);
InitialValue.AddPreference(18, 	DRINKS,					2);
InitialValue.AddPreference(18, 	FURNITURE,				2);
InitialValue.AddPreference(18, 	BREAD,					2);
InitialValue.AddPreference(18, 	VACATIONS,				2);

InitialValue.AddPreference(19, 	DRINKS,					2);
InitialValue.AddPreference(19, 	BREAD,					2);
InitialValue.AddPreference(19, 	VACATIONS,				2);
InitialValue.AddPreference(19, 	PERFORMANCE,			2);
InitialValue.AddPreference(19, 	NEWSPAPER,				2);
InitialValue.AddPreference(19, 	DAIRY_PRODUCE,			2);
InitialValue.AddPreference(19, 	FURNITURE,				2);
InitialValue.AddPreference(19, 	VIDEOS,					2);

InitialValue.AddPreference(20, 	DANCING,				2);
InitialValue.AddPreference(20, 	MUSIC_TAPES,			2);
InitialValue.AddPreference(20, 	GAMING,					2);
InitialValue.AddPreference(20, 	DAIRY_PRODUCE,			2);
InitialValue.AddPreference(20, 	BOOKS,					2);
InitialValue.AddPreference(20, 	FRUIT_AND_VEG,			2);
InitialValue.AddPreference(20, 	RECREATIONAL_GOODS,		2);
InitialValue.AddPreference(20, 	COMPUTERS,				2);

InitialValue.AddPreference(21, 	MEAT,					2);
InitialValue.AddPreference(21, 	FURNITURE,				2);
InitialValue.AddPreference(21, 	VACATIONS,				2);
InitialValue.AddPreference(21, 	SWEETS,					2);
InitialValue.AddPreference(21, 	ELECTRICAL_GOODS,		2);
InitialValue.AddPreference(21, 	MEAL,					2);
InitialValue.AddPreference(21, 	FISH,					2);
InitialValue.AddPreference(21, 	TOOLS_AND_HARDWARE,		2);

InitialValue.AddPreference(22, 	MOVIES,					2);
InitialValue.AddPreference(22, 	SNACK,					2);
InitialValue.AddPreference(22, 	FISH,					2);
InitialValue.AddPreference(22, 	PERFORMANCE,			2);
InitialValue.AddPreference(22,	CLOTHING,				2);
InitialValue.AddPreference(22, 	FRUIT_AND_VEG,			2);
InitialValue.AddPreference(22, 	RECREATIONAL_GOODS,		2);
InitialValue.AddPreference(22, 	MEAT,					2);

InitialValue.AddPreference(23, 	BREAD,					2);
InitialValue.AddPreference(23, 	DAIRY_PRODUCE,			2);
InitialValue.AddPreference(23, 	MUSIC_TAPES,			2);
InitialValue.AddPreference(23, 	GAMING,					2);
InitialValue.AddPreference(23, 	FURNITURE,				2);
InitialValue.AddPreference(23, 	ANTIQUES,				2);
InitialValue.AddPreference(23, 	FASTFOOD,				2);
InitialValue.AddPreference(23, 	ELECTRICAL_GOODS,		2);

InitialValue.AddPreference(24, 	DAIRY_PRODUCE,			2);
InitialValue.AddPreference(24, 	CLOTHING,				2);
InitialValue.AddPreference(24, 	ELECTRICAL_GOODS,		2);
InitialValue.AddPreference(24, 	FRUIT_AND_VEG,			2);
InitialValue.AddPreference(24, 	ANTIQUES,				2);
InitialValue.AddPreference(24, 	DRINKS,					2);
InitialValue.AddPreference(24, 	JEWELLERY,				2);
InitialValue.AddPreference(24, 	MEAL,					2);

InitialValue.AddPreference(25, 	MEAT,					2);
InitialValue.AddPreference(25, 	RECREATIONAL_GOODS,		2);
InitialValue.AddPreference(25, 	TOOLS_AND_HARDWARE,		2);
InitialValue.AddPreference(25, 	FISH,					2);
InitialValue.AddPreference(25, 	MUSIC_TAPES,			2);
InitialValue.AddPreference(25, 	CELL_PHONES,			2);
InitialValue.AddPreference(25, 	ELECTRICAL_GOODS,		2);
InitialValue.AddPreference(25, 	VACATIONS,				2);

InitialValue.AddPreference(26, 	FISH,					2);
InitialValue.AddPreference(26, 	FRUIT_AND_VEG,			2);
InitialValue.AddPreference(26, 	DRINKS,					2);
InitialValue.AddPreference(26, 	FURNITURE,				2);
InitialValue.AddPreference(26, 	GAMING,					2);
InitialValue.AddPreference(26, 	MUSIC_TAPES,			2);
InitialValue.AddPreference(26, 	DANCING,				2);
InitialValue.AddPreference(26, 	JEWELLERY,				2);

InitialValue.AddPreference(27, 	MEAT,					2);
InitialValue.AddPreference(27, 	BREAD,					2);
InitialValue.AddPreference(27, 	CLOTHING,				2);
InitialValue.AddPreference(27, 	TOOLS_AND_HARDWARE,		2);
InitialValue.AddPreference(27, 	SNACK,					2);
InitialValue.AddPreference(27, 	DRINKS,					2);
InitialValue.AddPreference(27, 	VACATIONS,				2);
InitialValue.AddPreference(27, 	CELL_PHONES,			2);

InitialValue.AddPreference(28, 	DAIRY_PRODUCE,			2);
InitialValue.AddPreference(28, 	ELECTRICAL_GOODS,		2);
InitialValue.AddPreference(28, 	BREAD,					2);
InitialValue.AddPreference(28, 	GAMING,					2);
InitialValue.AddPreference(28, 	COMPUTERS,				2);
InitialValue.AddPreference(28, 	BOOKS,					2);
InitialValue.AddPreference(28, 	PERFORMANCE,			2);
InitialValue.AddPreference(28, 	RECREATIONAL_GOODS,		2);

InitialValue.AddPreference(29, 	CLOTHING,				2);
InitialValue.AddPreference(29, 	SWEETS,					2);
InitialValue.AddPreference(29, 	FASTFOOD,				2);
InitialValue.AddPreference(29, 	NEWSPAPER,				2);
InitialValue.AddPreference(29, 	DRINKS,					2);
InitialValue.AddPreference(29, 	VIDEOS,					2);
InitialValue.AddPreference(29, 	FRUIT_AND_VEG,			2);
InitialValue.AddPreference(29, 	FISH,					2);

InitialValue.AddPreference(30, 	FRUIT_AND_VEG,			2);
InitialValue.AddPreference(30, 	MEAT,					2);
InitialValue.AddPreference(30, 	SNACK,					2);
InitialValue.AddPreference(30, 	FURNITURE,				2);
InitialValue.AddPreference(30, 	GAMING,					2);
InitialValue.AddPreference(30, 	TOOLS_AND_HARDWARE,		2);
InitialValue.AddPreference(30, 	VACATIONS,				2);
InitialValue.AddPreference(30, 	HEALTHCARE,				2);

InitialValue.AddPreference(31, 	BREAD,					2);
InitialValue.AddPreference(31, 	DAIRY_PRODUCE,			2);
InitialValue.AddPreference(31, 	CLOTHING,				2);
InitialValue.AddPreference(31, 	DRINKS,					2);
InitialValue.AddPreference(31, 	MUSIC_TAPES,			2);
InitialValue.AddPreference(31, 	VIDEOS,					2);
InitialValue.AddPreference(31, 	RECREATIONAL_GOODS,		2);
InitialValue.AddPreference(31, 	MOVIES,					2);


-- ADULT - HIGH CLASS

InitialValue.AddPreference(32, 	MEAL,					2);
InitialValue.AddPreference(32, 	PERFORMANCE,			2);
InitialValue.AddPreference(32, 	RECREATIONAL_GOODS,		2);
InitialValue.AddPreference(32, 	CLOTHING,				2);
InitialValue.AddPreference(32, 	CELL_PHONES,			2);
InitialValue.AddPreference(32, 	MEAT,					2);
InitialValue.AddPreference(32, 	DAIRY_PRODUCE,			2);
InitialValue.AddPreference(32, 	ANTIQUES,				2);

InitialValue.AddPreference(33, 	FURNITURE,				2);
InitialValue.AddPreference(33, 	JEWELLERY,				2);
InitialValue.AddPreference(33, 	DRINKS,					2);
InitialValue.AddPreference(33, 	BOOKS,					2);
InitialValue.AddPreference(33, 	RECREATIONAL_GOODS,		2);
InitialValue.AddPreference(33, 	FISH,					2);
InitialValue.AddPreference(33, 	MOVIES,					2);
InitialValue.AddPreference(33, 	BREAD,					2);

InitialValue.AddPreference(34, 	ELECTRICAL_GOODS,		2);
InitialValue.AddPreference(34, 	RECREATIONAL_GOODS,		2);
InitialValue.AddPreference(34, 	MEAL,					2);
InitialValue.AddPreference(34, 	GAMING,					2);
InitialValue.AddPreference(34, 	DRINKS,					2);
InitialValue.AddPreference(34, 	SNACK,					2);
InitialValue.AddPreference(34, 	VACATIONS,				2);
InitialValue.AddPreference(34, 	COMPUTERS,				2);

InitialValue.AddPreference(35, 	BOOKS,					2);
InitialValue.AddPreference(35, 	PERFORMANCE,			2);
InitialValue.AddPreference(35, 	CELL_PHONES,			2);
InitialValue.AddPreference(35, 	CLOTHING,				2);
InitialValue.AddPreference(35, 	JEWELLERY,				2);
InitialValue.AddPreference(35, 	FRUIT_AND_VEG,			2);
InitialValue.AddPreference(35, 	RECREATIONAL_GOODS,		2);
InitialValue.AddPreference(35, 	DANCING,				2);

InitialValue.AddPreference(36, 	VACATIONS,				2);
InitialValue.AddPreference(36, 	GAMING,					2);
InitialValue.AddPreference(36, 	MEAL,					2);
InitialValue.AddPreference(36, 	RECREATIONAL_GOODS,		2);
InitialValue.AddPreference(36, 	HEALTHCARE,				2);
InitialValue.AddPreference(36, 	FURNITURE,				2);
InitialValue.AddPreference(36, 	VIDEOS,					2);

InitialValue.AddPreference(37, 	PERFORMANCE,			2);
InitialValue.AddPreference(37, 	DRINKS,					2);
InitialValue.AddPreference(37, 	CLOTHING,				2);
InitialValue.AddPreference(37, 	ELECTRICAL_GOODS,		2);
InitialValue.AddPreference(37, 	TOOLS_AND_HARDWARE,		2);
InitialValue.AddPreference(37, 	FRUIT_AND_VEG,			2);
InitialValue.AddPreference(37, 	MEAT,					2);
InitialValue.AddPreference(37, 	JEWELLERY,				2);	

InitialValue.AddPreference(38, 	ELECTRICAL_GOODS,		2);
InitialValue.AddPreference(38, 	FURNITURE,				2);
InitialValue.AddPreference(38, 	CELL_PHONES,			2);
InitialValue.AddPreference(38, 	BOOKS,					2);
InitialValue.AddPreference(38, 	FISH,					2);
InitialValue.AddPreference(38, 	DAIRY_PRODUCE,			2);
InitialValue.AddPreference(38, 	VACATIONS,				2);
InitialValue.AddPreference(38, 	COMPUTERS,				2);

InitialValue.AddPreference(39, 	BOOKS,					2);
InitialValue.AddPreference(39, 	MEAL,					2);
InitialValue.AddPreference(39, 	GAMING,					2);
InitialValue.AddPreference(39, 	RECREATIONAL_GOODS,		2);
InitialValue.AddPreference(39, 	BREAD,					2);
InitialValue.AddPreference(39, 	CLOTHING,				2);
InitialValue.AddPreference(39, 	SNACK,					2);
InitialValue.AddPreference(39, 	PERFORMANCE,			2);

InitialValue.AddPreference(40, 	ELECTRICAL_GOODS,		2);
InitialValue.AddPreference(40, 	DRINKS,					2);
InitialValue.AddPreference(40, 	TOOLS_AND_HARDWARE,		2);
InitialValue.AddPreference(40, 	JEWELLERY,				2);
InitialValue.AddPreference(40, 	VACATIONS,				2);
InitialValue.AddPreference(40, 	FURNITURE,				2);
InitialValue.AddPreference(40, 	CELL_PHONES,			2);
InitialValue.AddPreference(40, 	ANTIQUES,				2);

InitialValue.AddPreference(41, 	PERFORMANCE,			2);
InitialValue.AddPreference(41, 	MEAL,					2);
InitialValue.AddPreference(41, 	RECREATIONAL_GOODS,		2);
InitialValue.AddPreference(41, 	GAMING,					2);
InitialValue.AddPreference(41, 	JEWELLERY,				2);
InitialValue.AddPreference(41, 	DANCING,				2);
InitialValue.AddPreference(41, 	CLOTHING,				2);
InitialValue.AddPreference(41, 	VIDEOS,					2);

InitialValue.AddPreference(42, 	BOOKS,					2);
InitialValue.AddPreference(42, 	HEALTHCARE,				2);
InitialValue.AddPreference(42, 	FURNITURE,				2);
InitialValue.AddPreference(42, 	FRUIT_AND_VEG,			2);
InitialValue.AddPreference(42, 	CELL_PHONES,			2);
InitialValue.AddPreference(42, 	DRINKS,					2);
InitialValue.AddPreference(42, 	GAMING,					2);
InitialValue.AddPreference(42, 	BREAD,					2);

InitialValue.AddPreference(43, 	MEAL,					2);
InitialValue.AddPreference(43, 	CLOTHING,				2);
InitialValue.AddPreference(43, 	ELECTRICAL_GOODS,		2);
InitialValue.AddPreference(43, 	MOVIES,					2);
InitialValue.AddPreference(43, 	JEWELLERY,				2);
InitialValue.AddPreference(43, 	RECREATIONAL_GOODS,		2);
InitialValue.AddPreference(43, 	PERFORMANCE,			2);
InitialValue.AddPreference(43, 	VACATIONS,				2);

InitialValue.AddPreference(44, 	FURNITURE,				2);
InitialValue.AddPreference(44, 	VACATIONS,				2);
InitialValue.AddPreference(44, 	DRINKS,					2);
InitialValue.AddPreference(44, 	BOOKS,					2);
InitialValue.AddPreference(44, 	RECREATIONAL_GOODS,		2);
InitialValue.AddPreference(44, 	FISH,					2);
InitialValue.AddPreference(44, 	DANCING,				2);
InitialValue.AddPreference(44, 	DAIRY_PRODUCE,			2);

InitialValue.AddPreference(45, 	CLOTHING,				2);
InitialValue.AddPreference(45, 	BOOKS,					2);
InitialValue.AddPreference(45, 	MEAL,					2);
InitialValue.AddPreference(45, 	MEAT,					2);
InitialValue.AddPreference(45, 	SNACK,					2);
InitialValue.AddPreference(45, 	CELL_PHONES,			2);
InitialValue.AddPreference(45, 	GAMING,					2);
InitialValue.AddPreference(45, 	ELECTRICAL_GOODS,		2);

InitialValue.AddPreference(46, 	ELECTRICAL_GOODS,		2);
InitialValue.AddPreference(46, 	JEWELLERY,				2);
InitialValue.AddPreference(46, 	VACATIONS,				2);
InitialValue.AddPreference(46, 	FURNITURE,				2);
InitialValue.AddPreference(46, 	MEAL,					2);
InitialValue.AddPreference(46, 	COMPUTERS,				2);
InitialValue.AddPreference(46, 	PERFORMANCE,			2);
InitialValue.AddPreference(46, 	DRINKS,					2);

InitialValue.AddPreference(47, 	DRINKS,					2);
InitialValue.AddPreference(47, 	FURNITURE,				2);
InitialValue.AddPreference(47, 	MEAL,					2);
InitialValue.AddPreference(47, 	BOOKS,					2);
InitialValue.AddPreference(47, 	CELL_PHONES,			2);
InitialValue.AddPreference(47, 	GAMING,					2);
InitialValue.AddPreference(47, 	RECREATIONAL_GOODS,		2);
InitialValue.AddPreference(47, 	ANTIQUES,				2);


-- SENIOR CITIZENS - HIGH CLASS

InitialValue.AddPreference(48, 	ANTIQUES,				2);
InitialValue.AddPreference(48, 	DAIRY_PRODUCE,			2);
InitialValue.AddPreference(48, 	VACATIONS,				2);
InitialValue.AddPreference(48, 	FURNITURE,				2);
InitialValue.AddPreference(48, 	HEALTHCARE,				2);
InitialValue.AddPreference(48, 	MEAL,					2);
InitialValue.AddPreference(48, 	PERFORMANCE,			2);
InitialValue.AddPreference(48, 	MEAT,					2);

InitialValue.AddPreference(49, 	BREAD,					2);
InitialValue.AddPreference(49, 	FURNITURE,				2);
InitialValue.AddPreference(49, 	HEALTHCARE,				2);
InitialValue.AddPreference(49, 	GAMING,					2);
InitialValue.AddPreference(49, 	DRINKS,					2);
InitialValue.AddPreference(49, 	MEAT,					2);
InitialValue.AddPreference(49, 	DAIRY_PRODUCE,			2);
InitialValue.AddPreference(49, 	PERFORMANCE,			2);
	
InitialValue.AddPreference(50, 	CLOTHING,				2);
InitialValue.AddPreference(50, 	VACATIONS,				2);
InitialValue.AddPreference(50, 	MOVIES,					2);
InitialValue.AddPreference(50, 	JEWELLERY,				2);
InitialValue.AddPreference(50, 	HEALTHCARE,				2);
InitialValue.AddPreference(50, 	ANTIQUES,				2);
InitialValue.AddPreference(50, 	FRUIT_AND_VEG,			2);
InitialValue.AddPreference(50, 	DAIRY_PRODUCE,			2);

InitialValue.AddPreference(51, 	ELECTRICAL_GOODS,		2);
InitialValue.AddPreference(51, 	NEWSPAPER,				2);
InitialValue.AddPreference(51, 	HEALTHCARE,				2);
InitialValue.AddPreference(51, 	MEAL,					2);
InitialValue.AddPreference(51, 	PERFORMANCE,			2);
InitialValue.AddPreference(51, 	ANTIQUES,				2);
InitialValue.AddPreference(51, 	MEAT,					2);
InitialValue.AddPreference(51, 	FISH,					2);

InitialValue.AddPreference(52, 	CLOTHING,				2);
InitialValue.AddPreference(52, 	DAIRY_PRODUCE,			2);
InitialValue.AddPreference(52, 	FURNITURE,				2);
InitialValue.AddPreference(52, 	MOVIES,					2);
InitialValue.AddPreference(52, 	VACATIONS,				2);
InitialValue.AddPreference(52, 	HEALTHCARE,				2);
InitialValue.AddPreference(52, 	RECREATIONAL_GOODS,		2);
InitialValue.AddPreference(52, 	GAMING,					2);

InitialValue.AddPreference(53, 	DRINKS,					2);
InitialValue.AddPreference(53, 	FRUIT_AND_VEG,			2);
InitialValue.AddPreference(53, 	VACATIONS,				2);
InitialValue.AddPreference(53, 	MEAT,					2);
InitialValue.AddPreference(53, 	PERFORMANCE,			2);
InitialValue.AddPreference(53, 	ANTIQUES,				2);
InitialValue.AddPreference(53, 	JEWELLERY,				2);
InitialValue.AddPreference(53, 	FURNITURE,				2);	


-- SENIOR CITIZENS - MEDIUM CLASS

InitialValue.AddPreference(54, 	SWEETS,					2);
InitialValue.AddPreference(54, 	HEALTHCARE,				2);
InitialValue.AddPreference(54, 	BREAD,					2);
InitialValue.AddPreference(54, 	MEAL,					2);
InitialValue.AddPreference(54, 	FRUIT_AND_VEG,			2);
InitialValue.AddPreference(54, 	VACATIONS,				2);
InitialValue.AddPreference(54, 	DAIRY_PRODUCE,			2);
InitialValue.AddPreference(54, 	DRINKS,					2);

InitialValue.AddPreference(55, 	CLOTHING,				2);
InitialValue.AddPreference(55, 	DAIRY_PRODUCE,			2);
InitialValue.AddPreference(55, 	NEWSPAPER,				2);
InitialValue.AddPreference(55, 	FISH,					2);
InitialValue.AddPreference(55, 	FURNITURE,				2);
InitialValue.AddPreference(55, 	HEALTHCARE,				2);
InitialValue.AddPreference(55, 	MEAT,					2);
InitialValue.AddPreference(55, 	GAMING,					2);

InitialValue.AddPreference(56, 	NEWSPAPER,				2);
InitialValue.AddPreference(56, 	FRUIT_AND_VEG,			2);
InitialValue.AddPreference(56, 	FISH,					2);
InitialValue.AddPreference(56, 	HEALTHCARE,				2);
InitialValue.AddPreference(56, 	PERFORMANCE,			2);
InitialValue.AddPreference(56, 	BREAD,					2);
InitialValue.AddPreference(56, 	JEWELLERY,				2);
InitialValue.AddPreference(56, 	VACATIONS,				2);

InitialValue.AddPreference(57, 	FRUIT_AND_VEG,			2);
InitialValue.AddPreference(57, 	HEALTHCARE,				2);
InitialValue.AddPreference(57, 	BREAD,					2);
InitialValue.AddPreference(57, 	SNACK,					2);
InitialValue.AddPreference(57, 	FISH,					2);
InitialValue.AddPreference(57, 	VACATIONS,				2);
InitialValue.AddPreference(57, 	ELECTRICAL_GOODS,		2);
InitialValue.AddPreference(57, 	MOVIES,					2);

InitialValue.AddPreference(58, 	DRINKS,					2);
InitialValue.AddPreference(58, 	BREAD,					2);
InitialValue.AddPreference(58, 	NEWSPAPER,				2);
InitialValue.AddPreference(58, 	ANTIQUES,				2);
InitialValue.AddPreference(58, 	HEALTHCARE,				2);
InitialValue.AddPreference(58, 	DAIRY_PRODUCE,			2);	
InitialValue.AddPreference(58, 	FRUIT_AND_VEG,			2);
InitialValue.AddPreference(58, 	VACATIONS,				2);

InitialValue.AddPreference(59, 	ELECTRICAL_GOODS,		2);
InitialValue.AddPreference(59, 	FISH,					2);
InitialValue.AddPreference(59, 	NEWSPAPER,				2);
InitialValue.AddPreference(59, 	DAIRY_PRODUCE,			2);
InitialValue.AddPreference(59, 	MEAT,					2);
InitialValue.AddPreference(59, 	VIDEOS,					2);
InitialValue.AddPreference(59, 	GAMING,					2);
InitialValue.AddPreference(59, 	MEAL,					2);


-- SENIOR CITIZENS - LOW CLASS

InitialValue.AddPreference(60, 	GAMING,					2);
InitialValue.AddPreference(60, 	MOVIES,					2);
InitialValue.AddPreference(60, 	VACATIONS,				2);
InitialValue.AddPreference(60, 	FRUIT_AND_VEG,			2);
InitialValue.AddPreference(60, 	NEWSPAPER,				2);
InitialValue.AddPreference(60, 	HEALTHCARE,				2);
InitialValue.AddPreference(60, 	FISH,					2);
InitialValue.AddPreference(60, 	SNACK,					2);

InitialValue.AddPreference(61, 	SNACK,					2);
InitialValue.AddPreference(61, 	BREAD,					2);
InitialValue.AddPreference(61, 	HEALTHCARE,				2);
InitialValue.AddPreference(61, 	FISH,					2);
InitialValue.AddPreference(61, 	DAIRY_PRODUCE,			2);
InitialValue.AddPreference(61, 	SWEETS,					2);
InitialValue.AddPreference(61, 	VIDEOS,					2);
InitialValue.AddPreference(61, 	VACATIONS,				2);

InitialValue.AddPreference(62, 	BREAD,					2);
InitialValue.AddPreference(62, 	DRINKS,					2);
InitialValue.AddPreference(62, 	SNACK,					2);
InitialValue.AddPreference(62, 	NEWSPAPER,				2);
InitialValue.AddPreference(62, 	DAIRY_PRODUCE,			2);
InitialValue.AddPreference(62, 	HEALTHCARE,				2);	
InitialValue.AddPreference(62, 	CLOTHING,				2);
InitialValue.AddPreference(62, 	MEAT,					2);

InitialValue.AddPreference(63, 	NEWSPAPER,				2);
InitialValue.AddPreference(63, 	FRUIT_AND_VEG,			2);
InitialValue.AddPreference(63, 	VIDEOS,					2);
InitialValue.AddPreference(63, 	VACATIONS,				2);
InitialValue.AddPreference(63, 	DAIRY_PRODUCE,			2);
InitialValue.AddPreference(63, 	HEALTHCARE,				2);
InitialValue.AddPreference(63, 	CLOTHING,				2);
InitialValue.AddPreference(63, 	BREAD,					2);

InitialValue.AddPreference(64, 	VACATIONS,				2);
InitialValue.AddPreference(64, 	FISH,					2);
InitialValue.AddPreference(64, 	DAIRY_PRODUCE,			2);
InitialValue.AddPreference(64, 	HEALTHCARE,				2);
InitialValue.AddPreference(64, 	SNACK,					2);
InitialValue.AddPreference(64, 	MEAT,					2);
InitialValue.AddPreference(64, 	MOVIES,					2);
InitialValue.AddPreference(64, 	DRINKS,					2);

InitialValue.AddPreference(65, 	FISH,					2);
InitialValue.AddPreference(65, 	SWEETS,					2);
InitialValue.AddPreference(65, 	SNACK,					2);
InitialValue.AddPreference(65, 	DAIRY_PRODUCE,			2);
InitialValue.AddPreference(65, 	GAMING,					2);
InitialValue.AddPreference(65, 	NEWSPAPER,				2);
InitialValue.AddPreference(65, 	FRUIT_AND_VEG,			2);
InitialValue.AddPreference(65, 	CLOTHING,				2);


-- CHILDREN - LOW CLASS

InitialValue.AddPreference(66, 	SWEETS,					2);
InitialValue.AddPreference(66, 	TOYS,					2);
InitialValue.AddPreference(66, 	MOVIES,					2);
InitialValue.AddPreference(66, 	MUSIC_TAPES,			2);
InitialValue.AddPreference(66, 	VIDEOS,					2);
InitialValue.AddPreference(66, 	BOOKS,					2);
InitialValue.AddPreference(66, 	FASTFOOD,				2);
InitialValue.AddPreference(66, 	CLOTHING,				2);

InitialValue.AddPreference(67, 	TOYS,					2);
InitialValue.AddPreference(67, 	SWEETS,					2);
InitialValue.AddPreference(67, 	FASTFOOD,				2);
InitialValue.AddPreference(67, 	BOOKS,					2);

InitialValue.AddPreference(68, 	TOYS,					2);
InitialValue.AddPreference(68, 	SWEETS,					2);
InitialValue.AddPreference(68, 	MUSIC_TAPES,			2);
InitialValue.AddPreference(68, 	VIDEOS,					2);
InitialValue.AddPreference(68, 	BOOKS,					2);

InitialValue.AddPreference(69, 	MOVIES,					2);
InitialValue.AddPreference(69, 	TOYS,					2);
InitialValue.AddPreference(69, 	SWEETS,					2);
InitialValue.AddPreference(69, 	VIDEOS,					2);
InitialValue.AddPreference(69, 	BOOKS,					2);
InitialValue.AddPreference(69, 	FASTFOOD,				2);

InitialValue.AddPreference(70, 	SWEETS,					2);
InitialValue.AddPreference(70, 	TOYS,					2);
InitialValue.AddPreference(70, 	MOVIES,					2);
InitialValue.AddPreference(70, 	MUSIC_TAPES,			2);
InitialValue.AddPreference(70, 	VIDEOS,					2);	
InitialValue.AddPreference(70, 	CLOTHING,				2);

InitialValue.AddPreference(71, 	SWEETS,					2);
InitialValue.AddPreference(71, 	TOYS,					2);
InitialValue.AddPreference(71, 	MOVIES,					2);
InitialValue.AddPreference(71, 	MUSIC_TAPES,			2);
InitialValue.AddPreference(71, 	VIDEOS,					2);
InitialValue.AddPreference(71, 	BOOKS,					2);


-- CHILDREN - MEDIUM CLASS

InitialValue.AddPreference(72, 	SWEETS,					2);
InitialValue.AddPreference(72, 	TOYS,					2);
InitialValue.AddPreference(72, 	MOVIES,					2);
InitialValue.AddPreference(72, 	MUSIC_TAPES,			2);
InitialValue.AddPreference(72, 	VIDEOS,					2);
InitialValue.AddPreference(72, 	BOOKS,					2);
InitialValue.AddPreference(72, 	COMPUTERS,				2);
InitialValue.AddPreference(72, 	CLOTHING,				2);

InitialValue.AddPreference(73, 	TOYS,					2);
InitialValue.AddPreference(73, 	SWEETS,					2);
InitialValue.AddPreference(73, 	BOOKS,					2);
InitialValue.AddPreference(73, 	FASTFOOD,				2);

InitialValue.AddPreference(74, 	TOYS,					2);
InitialValue.AddPreference(74, 	SWEETS,					2);
InitialValue.AddPreference(74, 	MUSIC_TAPES,			2);
InitialValue.AddPreference(74, 	VIDEOS,					2);
InitialValue.AddPreference(74, 	BOOKS,					2);

InitialValue.AddPreference(75, 	MOVIES,					2);
InitialValue.AddPreference(75, 	TOYS,					2);
InitialValue.AddPreference(75, 	SWEETS,					2);
InitialValue.AddPreference(75, 	VIDEOS,					2);
InitialValue.AddPreference(75, 	BOOKS,					2);
InitialValue.AddPreference(75, 	FASTFOOD,				2);
InitialValue.AddPreference(75, 	COMPUTERS,				2);

InitialValue.AddPreference(76, 	SWEETS,					2);	
InitialValue.AddPreference(76, 	TOYS,					2);
InitialValue.AddPreference(76, 	MOVIES,					2);
InitialValue.AddPreference(76, 	COMPUTERS,				2);
InitialValue.AddPreference(76, 	MUSIC_TAPES,			2);
InitialValue.AddPreference(76, 	VIDEOS,					2);
InitialValue.AddPreference(76, 	CLOTHING,				2);

InitialValue.AddPreference(77, 	SWEETS,					2);
InitialValue.AddPreference(77, 	TOYS,					2);
InitialValue.AddPreference(77, 	MOVIES,					2);
InitialValue.AddPreference(77, 	MUSIC_TAPES,			2);
InitialValue.AddPreference(77, 	VIDEOS,					2);
InitialValue.AddPreference(77, 	COMPUTERS,				2);


-- CHILDREN - HIGH CLASS

InitialValue.AddPreference(78, 	MUSIC_TAPES,			2);
InitialValue.AddPreference(78, 	SWEETS,					2);
InitialValue.AddPreference(78, 	TOYS,					2);
InitialValue.AddPreference(78, 	BOOKS,					2);
InitialValue.AddPreference(78, 	VIDEOS,					2);
InitialValue.AddPreference(78, 	COMPUTERS,				2);
InitialValue.AddPreference(78, 	CLOTHING,				2);

InitialValue.AddPreference(79, 	TOYS,					2);
InitialValue.AddPreference(79, 	CLOTHING,				2);
InitialValue.AddPreference(79, 	SWEETS,					2);
InitialValue.AddPreference(79, 	BOOKS,					2);
InitialValue.AddPreference(79, 	FASTFOOD,				2);

InitialValue.AddPreference(80, 	TOYS,					2);
InitialValue.AddPreference(80, 	COMPUTERS,				2);
InitialValue.AddPreference(80, 	MUSIC_TAPES,			2);
InitialValue.AddPreference(80, 	VIDEOS,					2);
InitialValue.AddPreference(80, 	BOOKS,					2);
InitialValue.AddPreference(80, 	SWEETS,					2);

InitialValue.AddPreference(81, 	VIDEOS,					2);
InitialValue.AddPreference(81, 	TOYS,					2);
InitialValue.AddPreference(81, 	CLOTHING,				2);
InitialValue.AddPreference(81, 	COMPUTERS,				2);
InitialValue.AddPreference(81, 	BOOKS,					2);
InitialValue.AddPreference(81, 	FASTFOOD,				2);
InitialValue.AddPreference(81, 	SWEETS,					2);

InitialValue.AddPreference(82, 	SWEETS,					2);	
InitialValue.AddPreference(82, 	MOVIES,					2);
InitialValue.AddPreference(82, 	COMPUTERS,				2);
InitialValue.AddPreference(82, 	TOYS,					2);
InitialValue.AddPreference(82, 	MUSIC_TAPES,			2);
InitialValue.AddPreference(82, 	VIDEOS,					2);
InitialValue.AddPreference(82, 	CLOTHING,				2);

InitialValue.AddPreference(83, 	SWEETS,					2);
InitialValue.AddPreference(83, 	TOYS,					2);
InitialValue.AddPreference(83, 	MUSIC_TAPES,			2);
InitialValue.AddPreference(83, 	VIDEOS,					2);
InitialValue.AddPreference(83, 	COMPUTERS,				2);
InitialValue.AddPreference(83, 	MOVIES,					2);

-- TOURISTS - HIGH CLASS

InitialValue.AddPreference(84, 	ANTIQUES,				2);
InitialValue.AddPreference(84, 	JEWELLERY,				2);
InitialValue.AddPreference(84, 	MEAL,					2);
InitialValue.AddPreference(84, 	PERFORMANCE,			2);
InitialValue.AddPreference(84, 	SOUVENIRS,				2);
InitialValue.AddPreference(84, 	VACATIONS,				2);
InitialValue.AddPreference(84, 	DANCING,				2);
InitialValue.AddPreference(84, 	DRINKS,					2);
InitialValue.AddPreference(84, 	STAY_OVER,				2);

InitialValue.AddPreference(85, 	MEAL,					2);
InitialValue.AddPreference(85, 	JEWELLERY,				2);
InitialValue.AddPreference(85, 	RECREATIONAL_GOODS,		2);
InitialValue.AddPreference(85, 	GAMING,					2);
InitialValue.AddPreference(85, 	MOVIES,					2);
InitialValue.AddPreference(85, 	SOUVENIRS,				2);
InitialValue.AddPreference(85, 	BOOKS,					2);
InitialValue.AddPreference(85, 	VACATIONS,				2);
InitialValue.AddPreference(85, 	STAY_OVER,				2);

InitialValue.AddPreference(86, 	SOUVENIRS,				2);
InitialValue.AddPreference(86, 	VACATIONS,				2);
InitialValue.AddPreference(86, 	CLOTHING,				2);
InitialValue.AddPreference(86, 	PERFORMANCE,			2);
InitialValue.AddPreference(86, 	DRINKS,					2);
InitialValue.AddPreference(86, 	FASTFOOD,				2);
InitialValue.AddPreference(86, 	ANTIQUES,				2);
InitialValue.AddPreference(86, 	MOVIES,					2);
InitialValue.AddPreference(86, 	STAY_OVER,				2);

InitialValue.AddPreference(87, 	DANCING,				2);
InitialValue.AddPreference(87, 	SOUVENIRS,				2);
InitialValue.AddPreference(87, 	MEAL,					2);
InitialValue.AddPreference(87, 	DRINKS,					2);
InitialValue.AddPreference(87, 	JEWELLERY,				2);
InitialValue.AddPreference(87, 	PERFORMANCE,			2);
InitialValue.AddPreference(87, 	VACATIONS,				2);
InitialValue.AddPreference(87, 	ANTIQUES,				2);
InitialValue.AddPreference(87, 	STAY_OVER,				2);

InitialValue.AddPreference(88, 	JEWELLERY,				2);
InitialValue.AddPreference(88, 	PERFORMANCE,			2);
InitialValue.AddPreference(88, 	MEAL,					2);
InitialValue.AddPreference(88, 	CLOTHING,				2);
InitialValue.AddPreference(88, 	VACATIONS,				2);
InitialValue.AddPreference(88, 	RECREATIONAL_GOODS,		2);
InitialValue.AddPreference(88, 	MUSIC_TAPES,			2);
InitialValue.AddPreference(88, 	ANTIQUES,				2);
InitialValue.AddPreference(88, 	STAY_OVER,				2);

InitialValue.AddPreference(89, 	PERFORMANCE,			2);
InitialValue.AddPreference(89, 	MEAL,					2);
InitialValue.AddPreference(89, 	ANTIQUES,				2);
InitialValue.AddPreference(89, 	DANCING,				2);
InitialValue.AddPreference(89, 	SOUVENIRS,				2);
InitialValue.AddPreference(89, 	CLOTHING,				2);
InitialValue.AddPreference(89, 	SNACK,					2);
InitialValue.AddPreference(89, 	GAMING,					2);
InitialValue.AddPreference(89, 	STAY_OVER,				2);

-- TOURIST - MEDIUM CLASS

InitialValue.AddPreference(90, 	MEAL,					2);
InitialValue.AddPreference(90, 	DANCING,				2);
InitialValue.AddPreference(90, 	CLOTHING,				2);
InitialValue.AddPreference(90, 	MOVIES,					2);
InitialValue.AddPreference(90, 	RECREATIONAL_GOODS,		2);
InitialValue.AddPreference(90, 	PERFORMANCE,			2);
InitialValue.AddPreference(90, 	ANTIQUES,				2);
InitialValue.AddPreference(90, 	SOUVENIRS,				2);
InitialValue.AddPreference(90, 	STAY_OVER,				2);

InitialValue.AddPreference(91, 	GAMING,					2);
InitialValue.AddPreference(91, 	PERFORMANCE,			2);
InitialValue.AddPreference(91, 	MEAL,					2);
InitialValue.AddPreference(91, 	JEWELLERY,				2);
InitialValue.AddPreference(91, 	DRINKS,					2);
InitialValue.AddPreference(91, 	SOUVENIRS,				2);
InitialValue.AddPreference(91, 	SNACK,					2);
InitialValue.AddPreference(91, 	MOVIES,					2);
InitialValue.AddPreference(91, 	STAY_OVER,				2);

InitialValue.AddPreference(92, 	SOUVENIRS,				2);
InitialValue.AddPreference(92, 	CLOTHING,				2);
InitialValue.AddPreference(92, 	RECREATIONAL_GOODS,		2);
InitialValue.AddPreference(92, 	PERFORMANCE,			2);
InitialValue.AddPreference(92, 	MOVIES,					2);
InitialValue.AddPreference(92, 	MEAL,					2);
InitialValue.AddPreference(92, 	VACATIONS,				2);
InitialValue.AddPreference(92, 	FASTFOOD,				2);
InitialValue.AddPreference(92, 	STAY_OVER,				2);

InitialValue.AddPreference(93, 	SOUVENIRS,				2);
InitialValue.AddPreference(93, 	GAMING,					2);
InitialValue.AddPreference(93, 	ANTIQUES,				2);
InitialValue.AddPreference(93, 	VACATIONS,				2);
InitialValue.AddPreference(93, 	MOVIES,					2);
InitialValue.AddPreference(93, 	BOOKS,					2);
InitialValue.AddPreference(93, 	MEAL,					2);
InitialValue.AddPreference(93, 	PERFORMANCE,			2);
InitialValue.AddPreference(93, 	STAY_OVER,				2);

InitialValue.AddPreference(94, 	DANCING,				2);
InitialValue.AddPreference(94, 	CLOTHING,				2);
InitialValue.AddPreference(94, 	PERFORMANCE,			2);
InitialValue.AddPreference(94, 	MEAL,					2);
InitialValue.AddPreference(94, 	SOUVENIRS,				2);
InitialValue.AddPreference(94, 	SWEETS,					2);
InitialValue.AddPreference(94, 	MOVIES,					2);
InitialValue.AddPreference(94, 	RECREATIONAL_GOODS,		2);
InitialValue.AddPreference(94, 	STAY_OVER,				2);

InitialValue.AddPreference(95, 	MEAL,					2);
InitialValue.AddPreference(95, 	DRINKS,					2);
InitialValue.AddPreference(95, 	JEWELLERY,				2);
InitialValue.AddPreference(95, 	PERFORMANCE,			2);
InitialValue.AddPreference(95, 	SOUVENIRS,				2);
InitialValue.AddPreference(95, 	MOVIES,					2);
InitialValue.AddPreference(95, 	MUSIC_TAPES,			2);
InitialValue.AddPreference(95, 	FASTFOOD,				2);
InitialValue.AddPreference(95, 	STAY_OVER,				2);

-- TOURISTS - LOW CLASS

InitialValue.AddPreference(96, 	DRINKS,					2);
InitialValue.AddPreference(96, 	MEAL,					2);
InitialValue.AddPreference(96, 	DANCING,				2);
InitialValue.AddPreference(96, 	RECREATIONAL_GOODS,		2);
InitialValue.AddPreference(96, 	MOVIES,					2);
InitialValue.AddPreference(96, 	FASTFOOD,				2);
InitialValue.AddPreference(96, 	SOUVENIRS,				2);
InitialValue.AddPreference(96, 	ANTIQUES,				2);
InitialValue.AddPreference(96, 	STAY_OVER,				2);

InitialValue.AddPreference(97, 	DANCING,				2);
InitialValue.AddPreference(97, 	GAMING,					2);
InitialValue.AddPreference(97, 	SNACK,					2);
InitialValue.AddPreference(97, 	MOVIES,					2);
InitialValue.AddPreference(97, 	MEAL,					2);
InitialValue.AddPreference(97, 	CLOTHING,				2);
InitialValue.AddPreference(97, 	DRINKS,					2);
InitialValue.AddPreference(97, 	VACATIONS,				2);
InitialValue.AddPreference(97, 	STAY_OVER,				2);

InitialValue.AddPreference(98, 	DRINKS,					2);
InitialValue.AddPreference(98, 	MEAL,					2);
InitialValue.AddPreference(98, 	PERFORMANCE,			2);
InitialValue.AddPreference(98, 	DANCING,				2);
InitialValue.AddPreference(98, 	JEWELLERY,				2);
InitialValue.AddPreference(98, 	FASTFOOD,				2);
InitialValue.AddPreference(98, 	RECREATIONAL_GOODS,		2);
InitialValue.AddPreference(98, 	SNACK,					2);
InitialValue.AddPreference(98, 	STAY_OVER,				2);

InitialValue.AddPreference(99, 	GAMING,					2);
InitialValue.AddPreference(99, 	SOUVENIRS,				2);
InitialValue.AddPreference(99, 	FASTFOOD,				2);
InitialValue.AddPreference(99, 	VACATIONS,				2);
InitialValue.AddPreference(99, 	DANCING,				2);
InitialValue.AddPreference(99, 	MOVIES,					2);
InitialValue.AddPreference(99, 	MUSIC_TAPES,			2);
InitialValue.AddPreference(99, 	PERFORMANCE,			2);
InitialValue.AddPreference(99, 	STAY_OVER,				2);

InitialValue.AddPreference(100, MEAL,					2);
InitialValue.AddPreference(100,	MOVIES,					2);
InitialValue.AddPreference(100,	DRINKS,					2);
InitialValue.AddPreference(100,	NEWSPAPER,				2);
InitialValue.AddPreference(100,	GAMING,					2);
InitialValue.AddPreference(100,	FASTFOOD,				2);
InitialValue.AddPreference(100,	DANCING,				2);
InitialValue.AddPreference(100,	PERFORMANCE,			2);
InitialValue.AddPreference(100,	STAY_OVER,				2);

InitialValue.AddPreference(101,	RECREATIONAL_GOODS,		2);
InitialValue.AddPreference(101,	SOUVENIRS,				2);
InitialValue.AddPreference(101,	MOVIES,					2);
InitialValue.AddPreference(101,	MEAL,					2);
InitialValue.AddPreference(101,	DANCING,				2);
InitialValue.AddPreference(101,	SWEETS,					2);
InitialValue.AddPreference(101,	VACATIONS,				2);
InitialValue.AddPreference(101,	SNACK,					2);
InitialValue.AddPreference(101,	STAY_OVER,				2);

-- TEENAGERS - HIGH CLASS

InitialValue.AddPreference(102, MUSIC_TAPES,			2);
InitialValue.AddPreference(102, BOOKS,					2);
InitialValue.AddPreference(102, GAMING,					2);
InitialValue.AddPreference(102, CLOTHING,				2);
InitialValue.AddPreference(102, DANCING,				2);
InitialValue.AddPreference(102, FISH,					2);
InitialValue.AddPreference(102, VACATIONS,				2);
InitialValue.AddPreference(102, COMPUTERS,				2);

InitialValue.AddPreference(103, CLOTHING,				2);
InitialValue.AddPreference(103, JEWELLERY,				2);
InitialValue.AddPreference(103, BOOKS,					2);
InitialValue.AddPreference(103, GAMING,					2);
InitialValue.AddPreference(103, FRUIT_AND_VEG,			2);
InitialValue.AddPreference(103, SNACK,					2);
InitialValue.AddPreference(103, MUSIC_TAPES,			2);
InitialValue.AddPreference(103, VACATIONS,				2);

InitialValue.AddPreference(104, VIDEOS,					2);
InitialValue.AddPreference(104, RECREATIONAL_GOODS,		2);
InitialValue.AddPreference(104, CELL_PHONES,			2);
InitialValue.AddPreference(104, GAMING,					2);
InitialValue.AddPreference(104, COMPUTERS,				2);
InitialValue.AddPreference(104, VACATIONS,				2);
InitialValue.AddPreference(104, FASTFOOD,				2);
InitialValue.AddPreference(104, MOVIES,					2);

InitialValue.AddPreference(105, PERFORMANCE,			2);
InitialValue.AddPreference(105, FASTFOOD,				2);
InitialValue.AddPreference(105, CLOTHING,				2);
InitialValue.AddPreference(105, RECREATIONAL_GOODS,		2);
InitialValue.AddPreference(105, COMPUTERS,				2);
InitialValue.AddPreference(105, MUSIC_TAPES,			2);
InitialValue.AddPreference(105, DANCING,				2);
InitialValue.AddPreference(105, ELECTRICAL_GOODS,		2);

InitialValue.AddPreference(106, MEAL,					2);
InitialValue.AddPreference(106, CLOTHING,				2);
InitialValue.AddPreference(106, MUSIC_TAPES,			2);
InitialValue.AddPreference(106, BREAD,					2);
InitialValue.AddPreference(106, GAMING,					2);
InitialValue.AddPreference(106, SWEETS,					2);
InitialValue.AddPreference(106, BOOKS,					2);
InitialValue.AddPreference(106, VIDEOS,					2);

InitialValue.AddPreference(107, CLOTHING,				2);
InitialValue.AddPreference(107, GAMING,					2);
InitialValue.AddPreference(107, VIDEOS,					2);
InitialValue.AddPreference(107, MEAT,					2);
InitialValue.AddPreference(107, VACATIONS,				2);
InitialValue.AddPreference(107, COMPUTERS,				2);
InitialValue.AddPreference(107, TOYS,					2);
InitialValue.AddPreference(107, JEWELLERY,				2);

-- TEENAGERS - MEDIUM CLASS

InitialValue.AddPreference(108, BOOKS,					2);
InitialValue.AddPreference(108, CLOTHING,				2);
InitialValue.AddPreference(108, FASTFOOD,				2);
InitialValue.AddPreference(108, GAMING,					2);
InitialValue.AddPreference(108, MUSIC_TAPES,			2);
InitialValue.AddPreference(108, VACATIONS,				2);
InitialValue.AddPreference(108, COMPUTERS,				2);
InitialValue.AddPreference(108, DANCING,				2);

InitialValue.AddPreference(109, SNACK,					2);
InitialValue.AddPreference(109, GAMING,					2);
InitialValue.AddPreference(109, MUSIC_TAPES,			2);
InitialValue.AddPreference(109, MOVIES,					2);
InitialValue.AddPreference(109, JEWELLERY,				2);
InitialValue.AddPreference(109, FASTFOOD,				2);
InitialValue.AddPreference(109, CLOTHING,				2);
InitialValue.AddPreference(109, COMPUTERS,				2);

InitialValue.AddPreference(110, MOVIES,					2);
InitialValue.AddPreference(110, SWEETS,					2);
InitialValue.AddPreference(110, BOOKS,					2);
InitialValue.AddPreference(110, VACATIONS,				2);
InitialValue.AddPreference(110, VIDEOS,					2);
InitialValue.AddPreference(110, MEAT,					2);
InitialValue.AddPreference(110, RECREATIONAL_GOODS,		2);
InitialValue.AddPreference(110, FRUIT_AND_VEG,			2);

InitialValue.AddPreference(111, DANCING,				2);
InitialValue.AddPreference(111, VIDEOS,					2);
InitialValue.AddPreference(111, NEWSPAPER,				2);
InitialValue.AddPreference(111, BOOKS,					2);
InitialValue.AddPreference(111, CLOTHING,				2);
InitialValue.AddPreference(111, GAMING,					2);
InitialValue.AddPreference(111, VACATIONS,				2);
InitialValue.AddPreference(111, TOYS,					2);

InitialValue.AddPreference(112, GAMING,					2);
InitialValue.AddPreference(112, BOOKS,					2);
InitialValue.AddPreference(112, COMPUTERS,				2);
InitialValue.AddPreference(112, BREAD,					2);
InitialValue.AddPreference(112, FASTFOOD,				2);
InitialValue.AddPreference(112, MUSIC_TAPES,			2);
InitialValue.AddPreference(112, FISH,					2);
InitialValue.AddPreference(112, DANCING,				2);

InitialValue.AddPreference(113, MUSIC_TAPES,			2);
InitialValue.AddPreference(113, DANCING,				2);
InitialValue.AddPreference(113, VIDEOS,					2);
InitialValue.AddPreference(113, RECREATIONAL_GOODS,		2);
InitialValue.AddPreference(113, ELECTRICAL_GOODS,		2);
InitialValue.AddPreference(113, CLOTHING,				2);
InitialValue.AddPreference(113, MEAL,					2);
InitialValue.AddPreference(113, FASTFOOD,				2);

-- TEENAGERS - LOW CLASS

InitialValue.AddPreference(114, VACATIONS,				2);
InitialValue.AddPreference(114, MUSIC_TAPES,			2);
InitialValue.AddPreference(114, MOVIES,					2);
InitialValue.AddPreference(114, GAMING,					2);
InitialValue.AddPreference(114, FASTFOOD,				2);
InitialValue.AddPreference(114, NEWSPAPER,				2);
InitialValue.AddPreference(114, SNACK,					2);
InitialValue.AddPreference(114, SWEETS,					2);

InitialValue.AddPreference(115, DANCING,				2);
InitialValue.AddPreference(115, BREAD,					2);
InitialValue.AddPreference(115, GAMING,					2);
InitialValue.AddPreference(115, CLOTHING,				2);
InitialValue.AddPreference(115, MUSIC_TAPES,			2);
InitialValue.AddPreference(115, MEAT,					2);
InitialValue.AddPreference(115, VIDEOS,					2);
InitialValue.AddPreference(115, VACATIONS,				2);

InitialValue.AddPreference(116, RECREATIONAL_GOODS,		2);
InitialValue.AddPreference(116, CLOTHING,				2);
InitialValue.AddPreference(116, FASTFOOD,				2);
InitialValue.AddPreference(116, FISH,					2);
InitialValue.AddPreference(116, FRUIT_AND_VEG,			2);
InitialValue.AddPreference(116, GAMING,					2);
InitialValue.AddPreference(116, MOVIES,					2);
InitialValue.AddPreference(116, MUSIC_TAPES,			2);

InitialValue.AddPreference(117, BOOKS,					2);
InitialValue.AddPreference(117, MOVIES,					2);
InitialValue.AddPreference(117, FASTFOOD,				2);
InitialValue.AddPreference(117, NEWSPAPER,				2);
InitialValue.AddPreference(117, RECREATIONAL_GOODS,		2);
InitialValue.AddPreference(117, GAMING,					2);
InitialValue.AddPreference(117, ELECTRICAL_GOODS,		2);
InitialValue.AddPreference(117, VACATIONS,				2);

InitialValue.AddPreference(118, MUSIC_TAPES,			2);
InitialValue.AddPreference(118, MOVIES,					2);
InitialValue.AddPreference(118, DANCING,				2);
InitialValue.AddPreference(118, VACATIONS,				2);
InitialValue.AddPreference(118, FASTFOOD,				2);
InitialValue.AddPreference(118, COMPUTERS,				2);
InitialValue.AddPreference(118, NEWSPAPER,				2);
InitialValue.AddPreference(118, GAMING,					2);

InitialValue.AddPreference(119, GAMING,					2);
InitialValue.AddPreference(119, SNACK,					2);
InitialValue.AddPreference(119, MOVIES,					2);
InitialValue.AddPreference(119, VACATIONS,				2);
InitialValue.AddPreference(119, TOYS,					2);
InitialValue.AddPreference(119, VIDEOS,					2);
InitialValue.AddPreference(119, FASTFOOD,				2);
InitialValue.AddPreference(119, MUSIC_TAPES,			2);

----------------------------------------------------------------

InitialValue.AssociatePreference(LOW_CLASS_ADULT,			0);
InitialValue.AssociatePreference(LOW_CLASS_ADULT,			1);
InitialValue.AssociatePreference(LOW_CLASS_ADULT,			2);
InitialValue.AssociatePreference(LOW_CLASS_ADULT,			3);
InitialValue.AssociatePreference(LOW_CLASS_ADULT,			4);
InitialValue.AssociatePreference(LOW_CLASS_ADULT,			5);
InitialValue.AssociatePreference(LOW_CLASS_ADULT,			6);
InitialValue.AssociatePreference(LOW_CLASS_ADULT,			7);
InitialValue.AssociatePreference(LOW_CLASS_ADULT,			8);
InitialValue.AssociatePreference(LOW_CLASS_ADULT,			9);
InitialValue.AssociatePreference(LOW_CLASS_ADULT,			10);
InitialValue.AssociatePreference(LOW_CLASS_ADULT,			11);
InitialValue.AssociatePreference(LOW_CLASS_ADULT,			12);
InitialValue.AssociatePreference(LOW_CLASS_ADULT,			13);
InitialValue.AssociatePreference(LOW_CLASS_ADULT,			14);
InitialValue.AssociatePreference(LOW_CLASS_ADULT,			15);

InitialValue.AssociatePreference(MEDIUM_CLASS_ADULT,		16);
InitialValue.AssociatePreference(MEDIUM_CLASS_ADULT,		17);
InitialValue.AssociatePreference(MEDIUM_CLASS_ADULT,		18);
InitialValue.AssociatePreference(MEDIUM_CLASS_ADULT,		19);
InitialValue.AssociatePreference(MEDIUM_CLASS_ADULT,		20);
InitialValue.AssociatePreference(MEDIUM_CLASS_ADULT,		21);
InitialValue.AssociatePreference(MEDIUM_CLASS_ADULT,		22);
InitialValue.AssociatePreference(MEDIUM_CLASS_ADULT,		23);
InitialValue.AssociatePreference(MEDIUM_CLASS_ADULT,		24);
InitialValue.AssociatePreference(MEDIUM_CLASS_ADULT,		25);
InitialValue.AssociatePreference(MEDIUM_CLASS_ADULT,		26);
InitialValue.AssociatePreference(MEDIUM_CLASS_ADULT,		27);
InitialValue.AssociatePreference(MEDIUM_CLASS_ADULT,		28);
InitialValue.AssociatePreference(MEDIUM_CLASS_ADULT,		29);
InitialValue.AssociatePreference(MEDIUM_CLASS_ADULT,		30);
InitialValue.AssociatePreference(MEDIUM_CLASS_ADULT,		31);

InitialValue.AssociatePreference(HIGH_CLASS_ADULT,			32);
InitialValue.AssociatePreference(HIGH_CLASS_ADULT,			33);
InitialValue.AssociatePreference(HIGH_CLASS_ADULT,			34);
InitialValue.AssociatePreference(HIGH_CLASS_ADULT,			35);
InitialValue.AssociatePreference(HIGH_CLASS_ADULT,			36);
InitialValue.AssociatePreference(HIGH_CLASS_ADULT,			37);
InitialValue.AssociatePreference(HIGH_CLASS_ADULT,			38);
InitialValue.AssociatePreference(HIGH_CLASS_ADULT,			39);
InitialValue.AssociatePreference(HIGH_CLASS_ADULT,			40);
InitialValue.AssociatePreference(HIGH_CLASS_ADULT,			41);
InitialValue.AssociatePreference(HIGH_CLASS_ADULT,			42);
InitialValue.AssociatePreference(HIGH_CLASS_ADULT,			43);
InitialValue.AssociatePreference(HIGH_CLASS_ADULT,			44);
InitialValue.AssociatePreference(HIGH_CLASS_ADULT,			45);
InitialValue.AssociatePreference(HIGH_CLASS_ADULT,			46);
InitialValue.AssociatePreference(HIGH_CLASS_ADULT,			47);

InitialValue.AssociatePreference(HIGH_CLASS_PENSIONER,		48);
InitialValue.AssociatePreference(HIGH_CLASS_PENSIONER,		49);
InitialValue.AssociatePreference(HIGH_CLASS_PENSIONER,		50);
InitialValue.AssociatePreference(HIGH_CLASS_PENSIONER,		51);
InitialValue.AssociatePreference(HIGH_CLASS_PENSIONER,		52);
InitialValue.AssociatePreference(HIGH_CLASS_PENSIONER,		53);

InitialValue.AssociatePreference(MEDIUM_CLASS_PENSIONER,	54);
InitialValue.AssociatePreference(MEDIUM_CLASS_PENSIONER,	55);
InitialValue.AssociatePreference(MEDIUM_CLASS_PENSIONER,	56);
InitialValue.AssociatePreference(MEDIUM_CLASS_PENSIONER,	57);
InitialValue.AssociatePreference(MEDIUM_CLASS_PENSIONER,	58);
InitialValue.AssociatePreference(MEDIUM_CLASS_PENSIONER,	59);

InitialValue.AssociatePreference(LOW_CLASS_PENSIONER,		60);
InitialValue.AssociatePreference(LOW_CLASS_PENSIONER,		61);
InitialValue.AssociatePreference(LOW_CLASS_PENSIONER,		62);
InitialValue.AssociatePreference(LOW_CLASS_PENSIONER,		63);
InitialValue.AssociatePreference(LOW_CLASS_PENSIONER,		64);
InitialValue.AssociatePreference(LOW_CLASS_PENSIONER,		65);

InitialValue.AssociatePreference(HIGH_CLASS_CHILD,			66);
InitialValue.AssociatePreference(HIGH_CLASS_CHILD,			67);
InitialValue.AssociatePreference(HIGH_CLASS_CHILD,			68);
InitialValue.AssociatePreference(HIGH_CLASS_CHILD,			69);
InitialValue.AssociatePreference(HIGH_CLASS_CHILD,			70);
InitialValue.AssociatePreference(HIGH_CLASS_CHILD,			71);

InitialValue.AssociatePreference(MEDIUM_CLASS_CHILD,		72);
InitialValue.AssociatePreference(MEDIUM_CLASS_CHILD,		73);
InitialValue.AssociatePreference(MEDIUM_CLASS_CHILD,		74);
InitialValue.AssociatePreference(MEDIUM_CLASS_CHILD,		75);
InitialValue.AssociatePreference(MEDIUM_CLASS_CHILD,		76);
InitialValue.AssociatePreference(MEDIUM_CLASS_CHILD,		77);

InitialValue.AssociatePreference(LOW_CLASS_CHILD,			78);
InitialValue.AssociatePreference(LOW_CLASS_CHILD,			79);
InitialValue.AssociatePreference(LOW_CLASS_CHILD,			80);
InitialValue.AssociatePreference(LOW_CLASS_CHILD,			81);
InitialValue.AssociatePreference(LOW_CLASS_CHILD,			82);
InitialValue.AssociatePreference(LOW_CLASS_CHILD,			83);

InitialValue.AssociatePreference(HIGH_CLASS_TOURIST,		84);
InitialValue.AssociatePreference(HIGH_CLASS_TOURIST,		85);
InitialValue.AssociatePreference(HIGH_CLASS_TOURIST,		86);
InitialValue.AssociatePreference(HIGH_CLASS_TOURIST,		87);
InitialValue.AssociatePreference(HIGH_CLASS_TOURIST,		88);
InitialValue.AssociatePreference(HIGH_CLASS_TOURIST,		89);

InitialValue.AssociatePreference(MEDIUM_CLASS_TOURIST,		90);
InitialValue.AssociatePreference(MEDIUM_CLASS_TOURIST,		91);
InitialValue.AssociatePreference(MEDIUM_CLASS_TOURIST,		92);
InitialValue.AssociatePreference(MEDIUM_CLASS_TOURIST,		93);
InitialValue.AssociatePreference(MEDIUM_CLASS_TOURIST,		94);
InitialValue.AssociatePreference(MEDIUM_CLASS_TOURIST,		95);

InitialValue.AssociatePreference(LOW_CLASS_TOURIST,			96);
InitialValue.AssociatePreference(LOW_CLASS_TOURIST,			97);
InitialValue.AssociatePreference(LOW_CLASS_TOURIST,			98);
InitialValue.AssociatePreference(LOW_CLASS_TOURIST,			99);
InitialValue.AssociatePreference(LOW_CLASS_TOURIST,			100);
InitialValue.AssociatePreference(LOW_CLASS_TOURIST,			101);

InitialValue.AssociatePreference(HIGH_CLASS_TEENAGER,		102);
InitialValue.AssociatePreference(HIGH_CLASS_TEENAGER,		103);
InitialValue.AssociatePreference(HIGH_CLASS_TEENAGER,		104);
InitialValue.AssociatePreference(HIGH_CLASS_TEENAGER,		105);
InitialValue.AssociatePreference(HIGH_CLASS_TEENAGER,		106);
InitialValue.AssociatePreference(HIGH_CLASS_TEENAGER,		107);

InitialValue.AssociatePreference(MEDIUM_CLASS_TEENAGER,		108);
InitialValue.AssociatePreference(MEDIUM_CLASS_TEENAGER,		109);
InitialValue.AssociatePreference(MEDIUM_CLASS_TEENAGER,		110);
InitialValue.AssociatePreference(MEDIUM_CLASS_TEENAGER,		111);
InitialValue.AssociatePreference(MEDIUM_CLASS_TEENAGER,		112);
InitialValue.AssociatePreference(MEDIUM_CLASS_TEENAGER,		113);

InitialValue.AssociatePreference(LOW_CLASS_TEENAGER,		114);
InitialValue.AssociatePreference(LOW_CLASS_TEENAGER,		115);
InitialValue.AssociatePreference(LOW_CLASS_TEENAGER,		116);
InitialValue.AssociatePreference(LOW_CLASS_TEENAGER,		117);
InitialValue.AssociatePreference(LOW_CLASS_TEENAGER,		118);
InitialValue.AssociatePreference(LOW_CLASS_TEENAGER,		119);


